<ui:composition template="../template/template.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui="http://java.sun.com/jsf/facelets">

	<ui:define name="title">
        .:#{bandejaSalaDelUsuarioMB.nombreSistema}:.
    </ui:define>

	<ui:define name="headCont">
		<style>
.box-table-class .ui-datatable-scrollable-body thead th {
	opacity: 0;
	padding: 0;
}

.obs-pe {
	background: #d6effe;
	color: #68544F;
}

.obs-pe-vencida {
	background: #d6effe;
	color: red;
}

.obs-pe-por-vencer {
	background: #d6effe;
	color: green;
}

.sin-obs-pe-vencida {
	color: red;
}

.sin-obs-pe-por-vencer {
	color: green;
}

.ui-state-disabled {
	opacity: 1;
}

.ui-fieldset-general {
	
}

.without-selectall .ui-selectcheckboxmenu-header .ui-chkbox {
	display: none;
}
/* Select CheckBoxMenú */
.ui-selectcheckboxmenu-item:hover {
	background-color: #850100 !important;
	background-image: linear-gradient(to bottom, #BA0400, #840100)
		!important;
	color: #FFF
}

.ui-selectcheckboxmenu-item {
	font-size: 13.2px;
	font-weight: 300;
}

.ui-selectcheckboxmenu .ui-selectcheckboxmenu-trigger {
	width: auto !important;
	border-left: 1px solid #a8a8a8 !important;
	border-radius: 0px 0px 0px 0px !important;
	background: #F9F9F9 !important;
	box-shadow: 0px 0px #FFF;
}
</style>
	</ui:define>

	<ui:define name="titlePages">
		<span>BANDEJA REGISTRO DE VISITAS</span>
	</ui:define>
	<ui:define name="urlNavegacion">
		<li class="active">Registro de Visitas a Salas</li>
		<li>Consulta de Visitas</li>
	</ui:define>
	<!-- administrador por BNP -->
	<ui:define name="content">
        #{bandejaSalaDelUsuarioMB.validarSesion()}
        #{bandejaSalaDelUsuarioMB.loadComboLists()}
	    <div class="row">

			<h:form id="frmBandejaVisitaSala">

				<p:growl id="mensaje" showDetail="true" sticky="false" life="5000" />
				<div class="col-md-12 sin-bg-box">
					<p:fieldset styleClass="ui-fieldset-general">
						<div class="row box-mb">
							<div class="col-sm-12">
								<label class="control-label"><b>Buscar Registros:</b></label>
							</div>
						</div>

						<p:fieldset>
							<div class="row box-mb">
								<div class="col-sm-4">
									<div class="form-group">
										<h:outputLabel for="txtNumDocumento" value="N&#186; Documento: " styleClass="control-label" />
										<p:inputText id="txtNumDocumento" value="#{bandejaRegistroVisitasSalaMB.filtroNumeroDocumentoIdentidad}" maxlength="12" mask="99999999" style="text-transform:uppercase"
											styleClass="form-control" tabindex="1" />
									</div>
								</div>							
								<div class="col-sm-4">
									<div class="form-group">
										<h:outputLabel for="fechaVisitaDesde" value="Fecha Visita Desde: " styleClass="control-label"></h:outputLabel>
										<div class="input-group">
										<p:calendar value="#{bandejaRegistroVisitasSalaMB.filtroFechaVisitaDesde}" id="fechaVisitaDesde" popupIconOnly="true"  pattern="dd/MM/yyyy" widgetVar="wvfechaInicio" locale="es" maxdate="#{bandejaRegistroVisitasSalaMB.fechaActual}" >
										</p:calendar>   
									    <span class="input-group-addon"><span class="fa fa-calendar-o"></span></span>		
										</div>
									</div>
								</div>

								<div class="col-sm-4">
									<div class="form-group">
										<h:outputLabel for="fechaVisitaHasta" value="Fecha Visita Hasta: " styleClass="control-label"></h:outputLabel>
										<div class="input-group">
										<p:calendar value="#{bandejaRegistroVisitasSalaMB.filtroFechaVisitaHasta}" id="fechaVisitaHasta" popupIconOnly="true"  pattern="dd/MM/yyyy" widgetVar="wvfechaFin" locale="es" maxdate="#{bandejaRegistroVisitasSalaMB.fechaActual}" >
										</p:calendar>   
									    <span class="input-group-addon"><span class="fa fa-calendar-o"></span></span>		
										</div>
									</div>
								</div>
							</div>
							<div class="row box-mb">
								<div class="col-sm-4">
									<div class="form-group">
										<h:outputLabel for="txtNombres" value="Nombres: "
											styleClass="control-label" />
										<p:inputText id="txtNombres"
											value="#{bandejaRegistroVisitasSalaMB.filtroNombre}"
											maxlength="70" style="text-transform:uppercase"
											onkeypress="return soloLetras(event)" required="false"
											styleClass="form-control" tabindex="1" />
									</div>
								</div>								
								<div class="col-sm-4">
									<div class="form-group">
										<h:outputLabel for="txtApPaterno" value="Apellido Paterno: "
											styleClass="control-label" />
										<p:inputText id="txtApPaterno"
											value="#{bandejaRegistroVisitasSalaMB.filtroApellidoPaterno}"
											maxlength="60" style="text-transform:uppercase"
											onkeypress="return soloLetras(event)" required="false"
											styleClass="form-control" tabindex="1" />
									</div>
								</div>
								<div class="col-sm-4">
									<div class="form-group">
										<h:outputLabel for="txtApMaterno" value="Apellido Materno"
											styleClass="control-label" />
										<p:inputText id="txtApMaterno"
											value="#{bandejaRegistroVisitasSalaMB.filtroApellidoMaterno}"
											maxlength="60" style="text-transform:uppercase"
											onkeypress="return soloLetras(event)" required="false"
											styleClass="form-control" tabindex="1" />
									</div>
								</div>
							</div>
							<br />
							<div class="row box-mb">
								<div
									class="col-sm-12 box-btn-tab text-right box-main-btn xx_box-btn">

									<p:commandButton id="idBuscar" value="Buscar"
										icon="icon-search ocultarImgIcon"
										styleClass="btn btn-default btn-sensitive btn-buscar"
										onclick="PF('statusDialog').show()"
										oncomplete="PF('statusDialog').hide()"
										actionListener="#{bandejaRegistroVisitasSalaMB.realizarConsulta}"
										update="frmBandejaVisitaSala" ajax="true" />

									<p:commandButton id="idLimpiar"
										styleClass="btn btn-default btn-sensitive btn-buscar"
										value="Limpiar"
										actionListener="#{bandejaRegistroVisitasSalaMB.limpiarBusqueda}"
										icon="icon-limpiar" update="frmBandejaVisitaSala" ajax="true" />
								</div>
							</div>

						</p:fieldset>
						<!-- *************************************************************************************************************************** -->
						<div class="row box-mb" style="margin-top: 15px;">
							<div class="col-sm-12">
								<label class="control-label"><b>Registros
										Encontrados:</b></label>
							</div>
						</div>

						<div class="row box-mb">
							<div class="col-sm-12 box-table-class">
								<div class="form-group">
									<!--******************************* Tabla con registros del combo seleccion: REGISTROS VIRTUALES ****************************************************-->
									<p:dataTable id="tblConsultas2" var="registro"
										value="#{bandejaRegistroVisitasSalaMB.listaRegistroVisitas}"
										rowKey="#{registro.id}" paginator="true" scrollable="true"
										rowIndexVar="item" paginatorPosition="top" rows="10"
										style="text-align:center;" emptyMessage="No existen registros">

										<p:column headerText="Fecha Visita"
											style="width:12px;text-aling:center;" sortBy="#{registro.fechaVisita}">
											<h:outputText value="#{registro.fechaVisita}" />
										</p:column>

										<p:column headerText="Sede"
											style="width:12px;text-aling:center;">
											<h:outputText value="#{registro.sala.sede.nombreSede}" />
										</p:column>
										
										<p:column headerText="Sala"
											style="width:15px;text-aling:center;" >
											<h:outputText value="#{registro.sala.nombreSala}" />
										</p:column>

										<p:column headerText="Tipo Usuario" style="width:18px;"	>
											<h:outputText value="#{registro.registroUsuario.user.tipoUsuarioBiblioteca}" />
										</p:column>

										<p:column headerText="Doc. Identidad" style="width:25px;">
											<h:outputText
												value="#{registro.registroUsuario.user.tipoDocumentoIdentidadNombre} #{registro.registroUsuario.user.numeroDocumentoIdentidad}" />
										</p:column>

										<p:column headerText="Ap. Paterno" style="width:30px;text-align:left"
											sortBy="#{registro.user.apellidoPaterno}">
											<h:outputText value="#{registro.registroUsuario.user.apellidoPaterno}" />
										</p:column>

										<p:column headerText="Ap. Materno" style="width:30px;text-align:left"
											sortBy="#{registro.user.apellidoMaterno}">
											<h:outputText value="#{registro.registroUsuario.user.apellidoMaterno}" />
										</p:column>

										<p:column headerText="Nombres" style="width:30px;text-align:left"
											sortBy="#{registro.nombres}">
											<h:outputText value="#{registro.registroUsuario.user.nombre}" />
										</p:column>

									</p:dataTable>

								</div>
							</div>
						</div>
						<!-- *************************************************************************************************************************** -->
					</p:fieldset>
				</div>
			</h:form>
			<p:dialog widgetVar="statusDialog" modal="true" draggable="false"
				closable="false" resizable="false" showHeader="false">
				<p:graphicImage value="../resources/img/loadingbar.gif" />
			</p:dialog>
		</div>

	</ui:define>

</ui:composition>